# WeexBuilder

WeexBuilder 是一个快速构建 weex 工程的命令行工具。

#  安装

你可以使用 RubyGems 安装 WeexBuilder。在安装之前需要 Ruby 环境，你可以从[这里](http://www.ruby-lang.org/en/documentation/installation/)找到安装方法。Mac OS 默认安装了 Ruby，如果版本比较老可以安装新版本。

安装了 Ruby 后就可以安装 RubyGems 了，你可以在[这里](https://rubygems.org/pages/download)找到安装方法。

现在可以使用 gem 来安装 WeexBuilder 了。打开终端键入以下命令来安装：

```shell
$ sudo gem install weexbuilder
```

# 使用

你可以使用 `weexbuilder create` 命令来创建一个空的模板项目：

```
weexbuilder create my-app
```

命令执行完以后，在当前目录下就有了一个名为 my-app 的 weex 项目了。

# 开发

下一步就是进入刚刚创建的文件夹，并且安装依赖，然后执行 `npm start`：

```shell
$ cd my-app
$ npm install
$ npm start
```

默认情况下 `weexbuilder create` 命令并不初始化 iOS 和 Android 项目，你可以通过执行 `weexbuilder platform add` 来添加特定平台的项目。

还是在刚刚创建的 my-app 工程目录下，执行以下命令来添加一个 iOS/Android 项目:

```shell
$ weexbuilder platform add ios
$ weexbuilder platform add android
```